Bug 1588527 - Service dialog text, dialog element and button layout/spacing is incorrect in CloudForms 4.6
Summary: Service dialog text, dialog element and button layout/spacing is incorrect in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.4
Assignee: Eric Winchell
QA Contact: Shveta
URL:
Whiteboard: service;dialog
Depends On: 1553697
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-07 13:22 UTC by Satoe Imaishi
Modified: 2018-09-04 18:01 UTC (History)
10 users (show)

Fixed In Version: 5.9.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1553697
Environment:
Last Closed: 2018-09-04 18:00:27 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)
dialog UI (81.61 KB, image/png)
2018-06-18 20:50 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2561 None None None 2018-09-04 18:01:07 UTC

Comment 2 Satoe Imaishi 2018-06-07 13:24:09 UTC
Included in ui-components 1.0.28

https://github.com/ManageIQ/manageiq-ui-service/pull/1436

Comment 3 Shveta 2018-06-18 20:50:58 UTC
Created attachment 1452726 [details]
dialog UI

Comment 4 Shveta 2018-06-18 20:53:45 UTC
a) space between the element label and the element itself is correct now.
b) The size of both dropdown and text box are same now , same width .
Do we need bigger text box ?
c) The 'Cancel' button right edge is hard against the edge of the window.- NOT FIXED.
d) The text area box's 'Refresh' button MOVES if the text area box is resized 

Erik , can you please comment on b and c.

Comment 6 CFME Bot 2018-07-11 15:31:49 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:

https://github.com/ManageIQ/manageiq-ui-classic/commit/6ed2aa53256f732a74153277b2733c775ccc5fac
commit 6ed2aa53256f732a74153277b2733c775ccc5fac
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed Mar 21 18:12:19 2018 -0400
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Wed Mar 21 18:12:19 2018 -0400

    Merge pull request #3668 from epwinchell/dialog_button_placement

    Correct positioning of dialog form buttons
    (cherry picked from commit dfc4edf4c6d8b2e4676e280fa17bdc35702fe202)

    https://bugzilla.redhat.com/show_bug.cgi?id=1588527

 app/views/shared/dialogs/_dialog_user.html.haml | 26 +-
 1 file changed, 13 insertions(+), 13 deletions(-)

Comment 7 Shveta 2018-07-16 15:20:58 UTC
Fixed in 5.9.4.0.20180711215406_53ad123

Comment 9 errata-xmlrpc 2018-09-04 18:00:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2561


Note You need to log in before you can comment on or make changes to this bug.